## ros-ardent-map-server 3.0.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(map_server)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(ament_cmake REQUIRED)

find_package(nav_msgs REQUIRED)
find_package(rclcpp REQUIRED)
find_package(tf2 REQUIRED)

find_package(SDL REQUIRED)
find_package(SDL_image REQUIRED)

find_package(PkgConfig REQUIRED)
pkg_check_modules(YAMLCPP yaml-cpp REQUIRED)
if(YAMLCPP_VERSION VERSION_GREATER "0.5.0")
  add_definitions(-DHAVE_YAMLCPP_GT_0_5_0)
endif()

include_directories(include)

add_library(map_server_image_loader SHARED src/image_loader.cpp)
ament_target_dependencies(map_server_image_loader
  "nav_msgs"
  "tf2"
)
target_include_directories(map_server_image_loader
  PUBLIC ${SDL_IMAGE_INCLUDE_DIRS} ${SDL_INCLUDE_DIR}
)
target_link_libraries(map_server_image_loader
  ${SDL_LIBRARY}
  ${SDL_IMAGE_LIBRARIES}
)

add_executable(map_server src/main.cpp)
ament_target_dependencies(map_server
  "nav_msgs"
  "rclcpp"
  "rcutils"
)
target_include_directories(map_server_image_loader
  PUBLIC ${YAMLCPP_INCLUDE_DIRS}
)
target_link_libraries(map_server
  map_server_image_loader
  ${YAMLCPP_LIBRARIES}
)

add_executable(map_server-map_saver src/map_saver.cpp)
set_target_properties(map_server-map_saver PROPERTIES OUTPUT_NAME map_saver)
ament_target_dependencies(map_server-map_saver
  "geometry_msgs"
  "nav_msgs"
  "rclcpp"
  "tf2"
)

if(BUILD_TESTING)
  find_package(ament_cmake_gtest REQUIRED)
  find_package(ament_cmake_pytest REQUIRED)

  ament_add_gtest(${PROJECT_NAME}_utest test/utest.cpp test/test_constants.cpp)
  target_link_libraries(
    ${PROJECT_NAME}_utest
    map_server_image_loader
    ${SDL_LIBRARY}
    ${SDL_IMAGE_LIBRARIES}
  )

  ament_add_gtest_executable(rtest test/rtest.cpp test/test_constants.cpp)
  ament_target_dependencies(rtest
    "nav_msgs"
    "rclcpp"
  )

  set(MAP_SERVER_EXECUTABLE "$<TARGET_FILE:map_server>")
  set(MAP_SERVER_TESTMAP_YAML "${CMAKE_CURRENT_SOURCE_DIR}/test/testmap.yaml")
  set(RTEST_EXECUTABLE "$<TARGET_FILE:rtest>")
  configure_file(
    test/rtest.launch.py.in
    rtest.launch.py.configured
    @ONLY
  )
  file(GENERATE
    OUTPUT "rtest$<CONFIG>.py"
    INPUT "${CMAKE_CURRENT_BINARY_DIR}/rtest.launch.py.configured"
  )
  ament_add_pytest_test(rtest_launch
    "${CMAKE_CURRENT_BINARY_DIR}/rtest$<CONFIG>.py"
    TIMEOUT 15
  )
endif()

ament_export_include_directories(include)
ament_export_libraries(map_server_image_loader)
ament_package()

# Install libraries
install(
  TARGETS map_server_image_loader
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
)

# Install executables
install(
  TARGETS map_server-map_saver map_server 
  DESTINATION lib/${PROJECT_NAME}
)

install(
  DIRECTORY include/
  DESTINATION include
)

install(
  PROGRAMS scripts/crop_map
  DESTINATION bin
)

=== debian/changelog ===
ros-ardent-map-server (3.0.0-1xenial) xenial; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- William Woodall <william@osrfoundation.org>  Thu, 08 Feb 2018 21:13:32 -0000

ros-ardent-map-server (1.14.0-1xenial) xenial; urgency=high

  * Corrections to alpha channel detection and usage.
    Changing to actually detect whether the image has an alpha channel instead of
    inferring based on the number of channels.
    Also reverting to legacy behavior of trinary mode overriding alpha removal.
    This will cause the alpha channel to be averaged in with the others in trinary
    mode, which is the current behavior before this PR.
  * Removing some trailing whitespace.
  * Use enum to control map interpretation
  * Contributors: Aaron Hoy, David Lu

 -- David V. Lu!! <davidvlu@gmail.com>  Fri, 20 May 2016 07:00:00 -0000

ros-ardent-map-server (1.13.1-1xenial) xenial; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 29 Oct 2015 07:00:00 -0000

ros-ardent-map-server (1.13.0-1xenial) xenial; urgency=high

  * rename image_loader library, fixes #208 <https://github.com/ros-planning/navigation/issues/208>
  * Contributors: Michael Ferguson

 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 17 Mar 2015 07:00:00 -0000

ros-ardent-map-server (1.12.0-1xenial) xenial; urgency=high

  * update maintainer email
  * Contributors: Michael Ferguson

 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 04 Feb 2015 08:00:00 -0000

ros-ardent-map-server (1.11.15-1xenial) xenial; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 03 Feb 2015 08:00:00 -0000

ros-ardent-map-server (1.11.14-1xenial) xenial; urgency=high

  * prevent inf loop
  * Contributors: Jeremie Deray

 -- David V. Lu!! <davidvlu@gmail.com>  Fri, 05 Dec 2014 08:00:00 -0000

ros-ardent-map-server (1.11.13-1xenial) xenial; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 02 Oct 2014 07:00:00 -0000

ros-ardent-map-server (1.11.12-1xenial) xenial; urgency=high

  * map_server: [style] alphabetize dependencies
  * map_server: remove vestigial export line
    the removed line does not do anything in catkin
  * Contributors: William Woodall

 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 01 Oct 2014 07:00:00 -0000

ros-ardent-map-server (1.11.11-1xenial) xenial; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 23 Jul 2014 07:00:00 -0000

ros-ardent-map-server (1.11.10-1xenial) xenial; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 25 Jun 2014 07:00:00 -0000

ros-ardent-map-server (1.11.9-1xenial) xenial; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 10 Jun 2014 07:00:00 -0000

ros-ardent-map-server (1.11.8-1xenial) xenial; urgency=high

  * fix build, was broken by #175 <https://github.com/ros-planning/navigation/issues/175>
  * Contributors: Michael Ferguson

 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 21 May 2014 07:00:00 -0000

ros-ardent-map-server (1.11.7-1xenial) xenial; urgency=high

  * make rostest in CMakeLists optional
  * Contributors: Lukas Bulwahn

 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 21 May 2014 07:00:00 -0000

ros-ardent-map-server (1.11.5-1xenial) xenial; urgency=high

  * install crop map
  * removing .py from executable script
  * Map Server can serve maps with non-lethal values
  * Added support for YAML-CPP 0.5+.
    The new yaml-cpp API removes the "node >> outputvar;" operator, and
    it has a new way of loading documents. There's no version hint in the
    library's headers, so I'm getting the version number from pkg-config.
  * check for CATKIN_ENABLE_TESTING
  * Change maintainer from Hersh to Lu

 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 30 Jan 2014 08:00:00 -0000

ros-ardent-map-server (1.11.4-1xenial) xenial; urgency=high

  * prefix utest target to not collide with other targets
  * Package URL Updates
  * unique target names to avoid conflicts (e.g. with map-store)

 -- David V. Lu!! <davidvlu@gmail.com>  Fri, 27 Sep 2013 07:00:00 -0000

=== debian/control ===
Source: ros-ardent-map-server
Section: misc
Priority: extra
Maintainer: William Woodall <william@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, libsdl-image1.2-dev, libsdl1.2-dev, libyaml-cpp-dev, ros-ardent-ament-cmake, ros-ardent-ament-cmake-gtest, ros-ardent-ament-cmake-pytest, ros-ardent-geometry-msgs, ros-ardent-launch-testing, ros-ardent-nav-msgs, ros-ardent-rclcpp, ros-ardent-rclpy, ros-ardent-rcutils, ros-ardent-tf2, ros-ardent-ros-workspace
Homepage: http://wiki.ros.org/map_server
Standards-Version: 3.9.2

Package: ros-ardent-map-server
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, libsdl-image1.2-dev, libsdl1.2-dev, libyaml-cpp-dev, ros-ardent-nav-msgs, ros-ardent-rclcpp, ros-ardent-rcutils, ros-ardent-tf2, ros-ardent-ros-workspace
Description: map_server provides the map_server ROS Node, which offers map data as a ROS Service.
 It also provides the map_saver command-line utility, which allows dynamically generated maps to be saved to file.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/ardent/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/ardent/setup.sh" ]; then . "/opt/ros/ardent/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/ardent" \
		-DAMENT_PREFIX_PATH="/opt/ros/ardent"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/ardent/setup.sh" ]; then . "/opt/ros/ardent/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/ardent/setup.sh" ]; then . "/opt/ros/ardent/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/ardent/setup.sh" ]; then . "/opt/ros/ardent/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-ardent-map-server//opt/ros/ardent/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/ardent/setup.sh" ]; then . "/opt/ros/ardent/setup.sh"; fi && \
	dh_auto_install
